jvx.numeric

## Class PnStiffAniso

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnSparseMatrix
    - - jvx.numeric.PnStiffMatrix
      - - jvx.numeric.PnStiffAniso

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PdMatrixIf

      public class PnStiffAniso
      extends PnStiffMatrix

  Create and setup stiffness matrix for the anisotropic Laplace operator. This matrix is not symmetric, hence for solving linear equation systems involving this class use `jvx.numeric.PnBiconjugateGradient`.
  See Also:
    Serialized Form
  Author:
    Klaus Hildebrandt
  Version:
    06.03.03, 1.00 created (kh)

- - ### Field Summary

    - ### Fields inherited from class jvx.numeric.PnStiffMatrix

      `m_noe`

    - ### Fields inherited from class jvx.numeric.PnSparseMatrix

      `USE_LARGER_BUFFER`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnStiffAniso(PgElementSet surface)` Constructor
    `PnStiffAniso(PgElementSet surface, double featureThreshold)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getFeatureDetect()` Get value of the parameter that determines what is regarded as a feature that will be preserved by te flow.
    `void` | `init(PgElementSet surface)` Initializes the stiffness matrix by computing the index vector and matrix entries.
    `void` | `setFeatureDetect(double featureDetect)` Set parameter that determines what is regarded as a feature that will be preserved by te flow.
    `void` | `useStepFunction(boolean flag)` The default behaviour of this feature preserving smoothing operator is to have a smooth transition in the treatment of those parts that are kept as features and those that are smoothed.

    - ### Methods inherited from class jvx.numeric.PnStiffMatrix

      `computeRightVector, computeStiffnessMatrix, init`

    - ### Methods inherited from class jvx.numeric.PnSparseMatrix

      `add, add, addDiagonal, addDiagonal, addEntry, addNew, appendEntry, clear, clearColumn, clearRow, compress, concatMatrices, copy, copyNew, deleteColumn, deleteRow, extractRows, getColIndex, getColIndices, getColIndices, getDiagIndex, getEntries, getEntries, getEntry, getEntrySparse, getIndex, getNumCols, getNumEntries, getNumEntries, getNumRows, isEqualTo, isSquare, leftMultMatrix, leftMultVector, leftMultVector, leftMultVector, leftMultVector, multMatrices, multQuadratic, multScalar, multScalar, removeZeros, rightMultMatrix, rightMultVector, rightMultVector, rightMultVector, rightMultVector, setEntry, setEntrySparse, setNumEntries, setRow, setSize, setSize, setSize, sortEntries, sub, subNew, toPdMatrix, toShortString, toString, transpose, transpose, transposeNew, transposeNew, validate, vstackSparseMatrices`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, init, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnStiffAniso

          public PnStiffAniso(PgElementSet surface)

      Constructor

    - #### PnStiffAniso

          public PnStiffAniso(PgElementSet surface,
                              double featureThreshold)

      Constructor

  - ### Method Detail

    - #### init

          public void init(PgElementSet surface)

      Initializes the stiffness matrix by computing the index vector and matrix entries. Method can be used to reset the stiffness matrix. All memory allocation is done in constructor.
      Overrides:
        `init` in class `PnStiffMatrix`

    - #### setFeatureDetect

          public void setFeatureDetect(double featureDetect)

      Set parameter that determines what is regarded as a feature that will be preserved by te flow.

    - #### getFeatureDetect

          public double getFeatureDetect()

      Get value of the parameter that determines what is regarded as a feature that will be preserved by te flow.

    - #### useStepFunction

          public void useStepFunction(boolean flag)

      The default behaviour of this feature preserving smoothing operator is to have a smooth transition in the treatment of those parts that are kept as features and those that are smoothed. This method allows to use the non smooth step function instead.

"

The software JavaView? is copyright protected. All Rights Reserved.
"